Subject: bug#35802: Broken data loaded from uni-decomposition

From: Noam Postavsky <[email-masked]>
Date: Sat, 15 Jun 2019 22:12:40 -0400

Juri Linkov <[email-masked]> writes:

>> Actually maybe it's just a matter of making isearch bind
>> search-spaces-regexp less widely.  I'm not quite following when the your
>> problem happens though.  Can you show a backtrace from your original
>> problem using
>>
>>     (add-hook 'after-load-functions
>>               (lambda (f) (when (string-match-p "uni-decomposition" f)
>>                        (debug nil :search-spaces-regexp search-spaces-regexp))))
>
> When I eval both the above and (setq search-whitespace-regexp "\\(\\s-\\|\n\\)+")
> then debugger still shows that search-spaces-regexp is nil
> (also note where search-spaces-regexp is let-bound to non-nil in the backtrace,
> see also more info after the backtrace):

Hmm, can you show exactly what's needed to trigger this?  I tried the
above after applying your patch in Bug#35802, but uni-decomposition was
never loaded.